# Platform SDK RAML

## CTI Registry

> **NOTE**: This file is generated automatically. Do not make any manual changes in it.


### Global Registry

|Name|Kind|Description|
|---|---|---|
|[cti.a.p.gr.record.v1.0](gr/types.raml#32-78)|Type|-|
|[cti.a.p.gr.record.v1.0~a.p.core.tenants.v1.0](gr/tenant.raml#10-21)|Type|-|
|[cti.a.p.gr.record.v1.0~a.p.integrations.app_types.v1.0](gr/integrations.raml#66-104)|Type|-|
|[cti.a.p.gr.record.v1.0~a.p.integrations.applications.v1.0](gr/integrations.raml#8-19)|Type|-|
|[cti.a.p.gr.record.v1.0~a.p.integrations.categories.v1.0](gr/integrations.raml#105-145)|Type|-|
|[cti.a.p.gr.record.v1.0~a.p.integrations.datacenter.v2.0](gr/integrations.raml#44-65)|Type|-|
|[cti.a.p.gr.record.v1.0~a.p.integrations.datacenters.v1.0](gr/integrations.raml#32-43)|Type|-|
|[cti.a.p.gr.record.v1.0~a.p.integrations.launch_requests.v1.0](gr/integrations.raml#170-181)|Type|-|
|[cti.a.p.gr.record.v1.0~a.p.integrations.launches.v1.0](gr/integrations.raml#158-169)|Type|-|
|[cti.a.p.gr.record.v1.0~a.p.integrations.lr_target_results.v1.0](gr/integrations.raml#182-193)|Type|-|
|[cti.a.p.gr.record.v1.0~a.p.integrations.manifests.v1.0](gr/integrations.raml#20-31)|Type|-|
|[cti.a.p.gr.record.v1.0~a.p.integrations.packages.v1.0](gr/integrations.raml#194-204)|Type|-|
|[cti.a.p.gr.record.v1.0~a.p.integrations.regions.v1.0](gr/integrations.raml#146-157)|Type|-|
|[cti.a.p.gr.record.v1.0~a.p.replication.managed_clients.v1.0](gr/replication.raml#10-21)|Type|-|
|[cti.a.p.gr.record.v1.0~a.p.self_management.root_tenants.v1.0](gr/self_management.raml#8-18)|Type|-|
|[cti.a.p.gr.record.v1.0~a.p.smpc.servers_locations.v1.0](gr/smpc.raml#8-18)|Type|-|
|[cti.a.p.gr.record.v1.0~a.p.web_restore_shared_links.v1.0](gr/web_restore.raml#8-19)|Type|-|
|[cti.a.p.gr.record.v1.0~a.p.web_restore_user_links.v1.0](gr/web_restore.raml#20-30)|Type|-|

### Event Management

|Name|Kind|Description|
|---|---|---|
|[cti.a.p.em.event.v1.0](em/types.raml#45-168)|Type|-|
|[cti.a.p.em.event.v1.0~a.p.am.alert.created.v1.0](em/alert.raml#28-35)|Type|Alert created event|
|[cti.a.p.em.event.v1.0~a.p.am.alert.dismissed.v1.0](em/alert.raml#44-51)|Type|Alert dismissed event|
|[cti.a.p.em.event.v1.0~a.p.am.alert.marked_false_positive.v1.0](em/alert.raml#52-59)|Type|Alert marked as false positive event|
|[cti.a.p.em.event.v1.0~a.p.am.alert.unmarked_false_positive.v1.0](em/alert.raml#60-66)|Type|Alert unmarked as false positive event|
|[cti.a.p.em.event.v1.0~a.p.am.alert.updated.v1.0](em/alert.raml#36-43)|Type|Alert updated event|
|[cti.a.p.em.event.v1.0~a.p.app.cti_entities.created.v1.0](em/cti_entities.raml#47-64)|Type|Event generated on new CTI entities were created (deployed).|
|[cti.a.p.em.event.v1.0~a.p.app.cti_entities.provisioning_changed.v1.0](em/cti_entities.raml#25-46)|Type|Event generated on provisioning state changed for one or multiple cti entities. If Cyber Application provisioning state changed, event with multiple entities produced. If anonymous entity provisioning state changed, event with single entity produced. |
|[cti.a.p.em.event.v1.0~a.p.application.turned_off.v1.0](em/licensing.raml#47-57)|Type|Event is raised when application is turned off|
|[cti.a.p.em.event.v1.0~a.p.applications.turned_on.v1.0](em/licensing.raml#36-46)|Type|Event is raised when application is turned on|
|[cti.a.p.em.event.v1.0~a.p.audit.v1.0](em/audit.raml#41-51)|Type|Base type for audit events|
|[cti.a.p.em.event.v1.0~a.p.audit.v1.0~a.p.policy.created.v1.0](em/policy_audit.raml#40-55)|Type|Policy created. subjectId format - UUID.CREATED_AT where CreatedAt - timestamp UTC in nanoseconds - time.UTC().UnixNano()|
|[cti.a.p.em.event.v1.0~a.p.audit.v1.0~a.p.policy.deleted.v1.0](em/policy_audit.raml#56-71)|Type|Policy deleted. subjectId format - UUID.DELETED_AT where DeletedAt - timestamp UTC in nanoseconds - time.UTC().UnixNano()|
|[cti.a.p.em.event.v1.0~a.p.audit.v1.0~a.p.policy.updated.v1.0](em/policy_audit.raml#72-93)|Type|Policy updated. subjectId format - UUID.UPDATED_AT where UpdatedAt - timestamp UTC in nanoseconds - time.UTC().UnixNano()|
|[cti.a.p.em.event.v1.0~a.p.offering_item.turned_off.v1.0](em/licensing.raml#58-68)|Type|Event is raised when an offering item is turned off|
|[cti.a.p.em.event.v1.0~a.p.offering_item.turned_on.v1.0](em/licensing.raml#69-78)|Type|Event is raised when an offering item is turned on|
|[cti.a.p.em.event.v1.0~a.p.setting.updated.v1.0](em/settings.raml#22-49)|Type|Event is raised when a setting for a tenant and domain object is updated.|
|[cti.a.p.em.event.v1.0~a.p.storage.fts_created.v1.0](em/storage.raml#20-27)|Type|The event is issued when FTS is registered|
|[cti.a.p.em.event.v1.0~a.p.storage.fts_deleted.v1.0](em/storage.raml#28-38)|Type|The event is issued when FTS registration is canceled|
|[cti.a.p.em.event.v1.0~a.p.storage.fts_updated.v1.0](em/storage.raml#39-45)|Type|The event is issued when FTS registration is updated|
|[cti.a.p.em.event.v1.0~a.p.task.completed.v1.0](em/task.raml#24-41)|Type|Task complete event, TenantID - tenant's UUID, SubjectID - task's UUID|
|[cti.a.p.em.event.v1.0~a.p.tenant.auth_consent.updated.v1.0](em/tenant.raml#205-212)|Type|Event is raised when tenant's authentication consent is updated.|
|[cti.a.p.em.event.v1.0~a.p.tenant.barrier_updated.v1.0](em/tenant.raml#110-125)|Type|Event generated when tenant barrier value is changed. Body contains new value.|
|[cti.a.p.em.event.v1.0~a.p.tenant.contact.deleted.v1.0](em/tenant.raml#189-204)|Type|Event is raised when tenant's contact is deleted.|
|[cti.a.p.em.event.v1.0~a.p.tenant.contact.updated.v1.0](em/tenant.raml#173-188)|Type|Event is raised when tenant's contact is updated.|
|[cti.a.p.em.event.v1.0~a.p.tenant.created.v1.0](em/tenant.raml#59-66)|Type|Event is raised when tenant is created|
|[cti.a.p.em.event.v1.0~a.p.tenant.deleted.v1.0](em/tenant.raml#37-58)|Type|Event is raised when tenant is removed (soft-deleted).  The consumers can use this event in order to hide this tenant and all the data associated with this tenant. The data should not be deleted permanently, but rather marked as deleted and so then the consumer can undelete it upon the cti.a.p.em.event.v1.0~a.p.tenant.undeleted.v1.0 event. This event is emitted for every tenant in the soft-deleted hierarchy, but only for the top tenant the hierarchy_root parameter will have true value |
|[cti.a.p.em.event.v1.0~a.p.tenant.disabled.v1.0](em/tenant.raml#75-82)|Type|Event is raised when tenant is disabled|
|[cti.a.p.em.event.v1.0~a.p.tenant.enabled.v1.0](em/tenant.raml#83-90)|Type|Event is raised when tenant is enabled|
|[cti.a.p.em.event.v1.0~a.p.tenant.hard_deleted.v1.0](em/tenant.raml#126-151)|Type|Event is raised when tenant is permanently removed. The consumers can use this event in order to delete this tenant and all the data associated with this tenant permanently. This operation can not be recovered. Normally, such events follow the cti.a.p.em.event.v1.0~a.p.tenant.deleted.v1.0 event after some retention (several days). This event is emitted for every tenant in the hard-deleted hierarchy, but only for the top tenant the hierarchy_root parameter will have true value |
|[cti.a.p.em.event.v1.0~a.p.tenant.locked.v1.0](em/tenant.raml#213-230)|Type|Event is raised when tenant is locked during an update, delete or undelete. Events emitted for all affected tenants |
|[cti.a.p.em.event.v1.0~a.p.tenant.moved.v1.0](em/tenant.raml#91-109)|Type|Event is raised when tenant is moved in tenants hierarchy|
|[cti.a.p.em.event.v1.0~a.p.tenant.pricing.updated.v1.0](em/tenant.raml#239-262)|Type|Event is raised when tenant's pricing is updated. If the price is set for a customer tenant, it will be propagated to its unit tenants, and events for all affected unit tenants will be emitted. For other tenant types pricing will be set only for the specified tenant, and the event will be emitted only for this tenant.   |
|[cti.a.p.em.event.v1.0~a.p.tenant.undeleted.v1.0](em/tenant.raml#152-172)|Type|Event is raised when tenant is restored from Recycle Bin (undeleted). The consumers can use this event in order to undelete this tenant and all the data associated with this tenant permanently. This event is emitted for every tenant in the undeleted hierarchy, but only for the top tenant the hierarchy_root parameter will have true value |
|[cti.a.p.em.event.v1.0~a.p.tenant.unlocked.v1.0](em/tenant.raml#231-238)|Type|Event is raised when tenant is unlocked|
|[cti.a.p.em.event.v1.0~a.p.tenant.updated.v1.0](em/tenant.raml#67-74)|Type|Event is raised when any tenant attributes are updated|
|[cti.a.p.em.event.v1.0~a.p.timeseries.v1.0](em/timeseries.raml#67-95)|Type|Base type for timeseries events|
|[cti.a.p.em.event.v1.0~a.p.ui.log_message.v1.0](em/frontend_logs.raml#24-57)|Type|Log message event|
|[cti.a.p.em.event.v1.0~a.p.user.activated.v1.0](em/user.raml#103-109)|Type|Event is raised when user is activated|
|[cti.a.p.em.event.v1.0~a.p.user.contact.updated.v1.0](em/user.raml#79-86)|Type|Event is raised when user contact is updated|
|[cti.a.p.em.event.v1.0~a.p.user.created.v1.0](em/user.raml#31-38)|Type|Event is raised when user is created|
|[cti.a.p.em.event.v1.0~a.p.user.deleted.v1.0](em/user.raml#39-46)|Type|Event is raised when user is deleted|
|[cti.a.p.em.event.v1.0~a.p.user.disabled.v1.0](em/user.raml#95-102)|Type|Event is raised when user is disabled|
|[cti.a.p.em.event.v1.0~a.p.user.enabled.v1.0](em/user.raml#87-94)|Type|Event is raised when user is enabled|
|[cti.a.p.em.event.v1.0~a.p.user.hard_deleted.v1.0](em/user.raml#47-54)|Type|Event is raised when user is permanently removed (hard deleted)|
|[cti.a.p.em.event.v1.0~a.p.user.role_changed.v1.0](em/user.raml#71-78)|Type|Event is raised when user role is changed|
|[cti.a.p.em.event.v1.0~a.p.user.undeleted.v1.0](em/user.raml#55-62)|Type|Event is raised when user is restored from Recycle Bin (undeleted)|
|[cti.a.p.em.event.v1.0~a.p.user.updated.v1.0](em/user.raml#63-70)|Type|Event is raised when a user's attributes are updated, except for role changes and contact updates|
|[cti.a.p.em.msg.v1.0](em/types.raml#45-168)|Type|-|
|[cti.a.p.em.timeseries.dimension.v1.0](em/timeseries.raml#27-66)|Type|-|
|[cti.a.p.em.topic.v1.0](em/types.raml#169-242)|Type|-|
|[cti.a.p.em.topic.v1.0~a.p.am.alerts.v1.0](em/alert.raml#16-24)|Instance|Alert Manager's alerts topic|
|[cti.a.p.em.topic.v1.0~a.p.app.cti_entities.v1.0](em/cti_entities.raml#13-21)|Instance|Topic for CTI entities metadata related events|
|[cti.a.p.em.topic.v1.0~a.p.audit.v1.0](em/audit.raml#11-18)|Instance|Account Server's tenant topic|
|[cti.a.p.em.topic.v1.0~a.p.licensing.v1.0](em/licensing.raml#11-18)|Instance|Topic for all licensing-related events|
|[cti.a.p.em.topic.v1.0~a.p.sm.v1.0](em/settings.raml#13-20)|Instance|Settings Management's event topic|
|[cti.a.p.em.topic.v1.0~a.p.storage.v1.0](em/storage.raml#9-16)|Instance|Topic for events related to Storage Management|
|[cti.a.p.em.topic.v1.0~a.p.task.v1.0](em/task.raml#13-20)|Instance|Task manager's task topic|
|[cti.a.p.em.topic.v1.0~a.p.tenant.v1.0](em/tenant.raml#26-33)|Instance|Account Server's tenant topic|
|[cti.a.p.em.topic.v1.0~a.p.timeseries.v1.0](em/timeseries.raml#11-17)|Instance|Base topic for timeseries events but Application should introduce it's own topics|
|[cti.a.p.em.topic.v1.0~a.p.ui.log.v1.0](em/frontend_logs.raml#12-20)|Instance|Topic for log message events produced by UI|
|[cti.a.p.em.topic.v1.0~a.p.user.v1.0](em/user.raml#20-27)|Instance|Account Server's user topic|

### Application Management

|Name|Kind|Description|
|---|---|---|
|[cti.a.p.app.application.meta.v1.0](app/application.raml#12-43)|Type|-|
|[cti.a.p.app.connection.v1.0](app/connection.raml#29-41)|Type|-|
|[cti.a.p.app.legacy_info.v1.0](app/legacy_info.raml#44-93)|Type|-|
|[cti.a.p.app.manifest.v1.0](app/manifest.raml#20-31)|Type|-|
|[cti.a.p.app.manifest.v1.0~a.p.manifest.v1.0](app/manifest.raml#15-16)|Instance|-|
|[cti.a.p.app.marketing_info.v1.0](app/marketing_info.raml#84-209)|Type|-|

### Alert Management

|Name|Kind|Description|
|---|---|---|
|[cti.a.p.am.alert.v1.0](am/types.raml#73-146)|Type|Base type for the alert.|
|[cti.a.p.am.alert.v1.0~a.p.basic.v1.0](am/types.raml#172-199)|Type|Base alert type with simplified presentation|
|[cti.a.p.am.category.v1.0](am/types.raml#147-165)|Type|An information about the alert category or alert type category.|

### API Callback Gateway

|Name|Kind|Description|
|---|---|---|
|[cti.a.p.acgw.callback.v1.0](acgw/types.raml#176-200)|Type|-|
|[cti.a.p.acgw.callback.v1.0~a.p.enablement.read.v1.0](acgw/integrations.raml#26-32)|Instance|Callback is used to get current enablement status and receive an organization id already mapped to the Acronis tenant if any.|
|[cti.a.p.acgw.callback.v1.0~a.p.enablement.reset.v1.0](acgw/integrations.raml#40-45)|Instance|Callback allows partner to reset application enablement.|
|[cti.a.p.acgw.callback.v1.0~a.p.enablement.write.v1.0](acgw/integrations.raml#33-39)|Instance|Callback is used to enable application for the Acronis tenant with certain organization id on a Vendor side.|
|[cti.a.p.acgw.callback.v1.0~a.p.tenant_mapping.read.v1.0](acgw/integrations.raml#46-51)|Instance|Tenant mapping read callback|
|[cti.a.p.acgw.callback.v1.0~a.p.tenant_mapping.write.v1.0](acgw/integrations.raml#52-57)|Instance|Tenant mapping write callback|
|[cti.a.p.acgw.callback.v1.0~a.p.topology.read.v1.0](acgw/integrations.raml#58-63)|Instance|Read Vendor's topology.|
|[cti.a.p.acgw.endpoint.v1.0](acgw/types.raml#225-264)|Type|A Callback Endpoint represents a logical web service implemented by a vendor.  While a Callback Endpoint supports multiple types of requests (Callback types - see below),  all requests to the Callback Endpoint will share the same security and authentication policy.  If required a single server may implement multiple Callback Endpoints. |
|[cti.a.p.acgw.request.v1.0](acgw/types.raml#132-175)|Type|-|
|[cti.a.p.acgw.request.v1.0~a.p.empty.v1.0](acgw/common.raml#15-19)|Type|Request without a body/payload|
|[cti.a.p.acgw.request.v1.0~a.p.enablement.write.v1.0](acgw/integrations.raml#87-104)|Type|Callback is used to enable application for the Acronis tenant with certain organization id on a Vendor side.|
|[cti.a.p.acgw.request.v1.0~a.p.tenant_mapping.write.v1.0](acgw/integrations.raml#125-149)|Type|Write tenant mapping|
|[cti.a.p.acgw.request.v1.0~a.p.topology.read.v1.0](acgw/integrations.raml#208-220)|Type|Vendor's topology request.|
|[cti.a.p.acgw.response.v1.0](acgw/types.raml#110-131)|Type|-|
|[cti.a.p.acgw.response.v1.0~a.p.acgw.bad_request.v1.0](acgw/gateway_errors.raml#214-225)|Type|ACGW Bad Request.|
|[cti.a.p.acgw.response.v1.0~a.p.acgw.forbidden.v1.0](acgw/gateway_errors.raml#238-249)|Type|ACGW Forbidden.|
|[cti.a.p.acgw.response.v1.0~a.p.acgw.internal_error.v1.0](acgw/gateway_errors.raml#226-237)|Type|ACGW Internal Server error.|
|[cti.a.p.acgw.response.v1.0~a.p.acgw.not_found.v1.0](acgw/gateway_errors.raml#250-260)|Type|ACGW Not Found.|
|[cti.a.p.acgw.response.v1.0~a.p.enablement.read.ok.v1.0](acgw/integrations.raml#67-86)|Type|Indicate successful response|
|[cti.a.p.acgw.response.v1.0~a.p.request.schema_error.v1.0](acgw/gateway_errors.raml#130-141)|Type|Response schema error|
|[cti.a.p.acgw.response.v1.0~a.p.response.schema_error.v1.0](acgw/gateway_errors.raml#142-153)|Type|Callback's request schema error|
|[cti.a.p.acgw.response.v1.0~a.p.success_no_content.v1.0](acgw/common.raml#20-26)|Type|Successful response without a body/payload|
|[cti.a.p.acgw.response.v1.0~a.p.tenant_mapping.read.ok.v1.0](acgw/integrations.raml#105-124)|Type|Successful response with list of mapped tenants.|
|[cti.a.p.acgw.response.v1.0~a.p.topology.read.ok.v1.0](acgw/integrations.raml#165-192)|Type|Successful response with list of Vendor's topology objects|
|[cti.a.p.acgw.response.v1.0~a.p.upstream.4xx_error.v1.0](acgw/gateway_errors.raml#154-165)|Type|Unexpected 4XX error|
|[cti.a.p.acgw.response.v1.0~a.p.upstream.5xx_error.v1.0](acgw/gateway_errors.raml#166-177)|Type|Upstream 5XX error|
|[cti.a.p.acgw.response.v1.0~a.p.upstream.connection_timeout.v1.0](acgw/gateway_errors.raml#94-105)|Type|Gateway timed out contacting the origin server|
|[cti.a.p.acgw.response.v1.0~a.p.upstream.forbidden.v1.0](acgw/gateway_errors.raml#190-201)|Type|Upstream 403 Forbidden|
|[cti.a.p.acgw.response.v1.0~a.p.upstream.invalid_response.v1.0](acgw/gateway_errors.raml#118-129)|Type|Unexpected non-error HTTP code 2XX-3XX, e.g.  302 Found  2XX-3XX|
|[cti.a.p.acgw.response.v1.0~a.p.upstream.refused_connection.v1.0](acgw/gateway_errors.raml#58-69)|Type|Connection refused|
|[cti.a.p.acgw.response.v1.0~a.p.upstream.service_disabled.v1.0](acgw/gateway_errors.raml#202-213)|Type|Upstream 410 Gone error. Service deactivated.|
|[cti.a.p.acgw.response.v1.0~a.p.upstream.timeout.v1.0](acgw/gateway_errors.raml#106-117)|Type|Gateway was able to complete a TCP connection to the origin server, but did not receive a timely HTTP response|
|[cti.a.p.acgw.response.v1.0~a.p.upstream.tls.certificate_error.v1.0](acgw/gateway_errors.raml#82-93)|Type|Gateway could not validate the SSL certificate on the origin web server|
|[cti.a.p.acgw.response.v1.0~a.p.upstream.tls.handshake_error.v1.0](acgw/gateway_errors.raml#70-81)|Type|TLS Handshake Failed|
|[cti.a.p.acgw.response.v1.0~a.p.upstream.unauthorized.v1.0](acgw/gateway_errors.raml#178-189)|Type|Upstream 401 Unauthorized|
|[cti.a.p.acgw.response.v1.0~a.p.upstream.unreachable.v1.0](acgw/gateway_errors.raml#46-57)|Type|Unreachable server|

### Backend for Frontend

|Name|Kind|Description|
|---|---|---|
|[cti.a.p.bff.definition.v0.1](bff/types.raml#17-30)|Type|Base type for definitions used by BFF/GQLGateway service|
|[cti.a.p.bff.dictionary.v0.1](bff/types.raml#31-42)|Type|Base type for dictionaries to be used in BFF|

### Settings Management

|Name|Kind|Description|
|---|---|---|
|[cti.a.p.sm.setting.v1.0](sm/types.raml#347-393)|Type|-|

### User Interface

|Name|Kind|Description|
|---|---|---|
|[cti.a.p.ui.toolkit.form.type.v1.0](app/ui_toolkit_forms.raml#51-64)|Type|-|
|[cti.a.p.ui.toolkit.form.type.v1.0~a.p.connection_setup.v1.0](app/ui_toolkit_forms.raml#68-69)|Instance|Connection setup form (popup + setting view with predefined callback on saving)|
|[cti.a.p.ui.toolkit.form.type.v1.0~a.p.custom.v1.0](app/ui_toolkit_forms.raml#66-67)|Instance|Declares custom form type, e.g. Lastpass users|
|[cti.a.p.ui.toolkit.form.type.v1.0~a.p.customer_mapping.v1.0](app/ui_toolkit_forms.raml#70-71)|Instance|Customer mapping form without customization|
|[cti.a.p.ui.toolkit.form.v1.0](app/ui_toolkit_forms.raml#15-50)|Type|-|

### Storage Management

|Name|Kind|Description|
|---|---|---|
|[cti.a.p.stm.infra.v1.0](stm/infra.raml#15-85)|Type|-|
|[cti.a.p.stm.location.v1.0](stm/location.raml#9-37)|Type|-|
|[cti.a.p.stm.s3.download_url.v1.0](stm/s3_signed_url.raml#7-16)|Type|Download request body|
|[cti.a.p.stm.s3.upload_url.v1.0](stm/s3_signed_url.raml#17-26)|Type|-|
|[cti.a.p.stm.s3.upload_url.v1.0~a.p.complete_multipart_upload.v1.0](stm/s3_signed_url.raml#89-109)|Type|end multipart upload request body|
|[cti.a.p.stm.s3.upload_url.v1.0~a.p.create_multipart_upload.v1.0](stm/s3_signed_url.raml#43-58)|Type|create multipart upload request body|
|[cti.a.p.stm.s3.upload_url.v1.0~a.p.upload_object.v1.0](stm/s3_signed_url.raml#27-42)|Type|upload request body|
|[cti.a.p.stm.s3.upload_url.v1.0~a.p.upload_part.v1.0](stm/s3_signed_url.raml#59-77)|Type|upload request body|
|[cti.a.p.stm.s3_buckets_pool.v1.0](stm/s3_buckets_pool.raml#14-49)|Type|Pool of s3 buckets. Each bucket in a pool has name which matches template {pool name}-{bucket number},  where {bucket number} is an integer value in a range from 0 to {buckets_count} |

### Policy Management

|Name|Kind|Description|
|---|---|---|
|[cti.a.p.pm.policy.v1.0](pm/types.raml#106-196)|Type|Identifiable and (optionally) named set of rules or settings. For some policies their rules / settings are specially organized to enable easy 're-use' in context of different and multiple 'resources'. Such policies must be bound to a context during application. But that is not the only case and policies may exist, which do not require binding to any additional contexts during application. |
|[cti.a.p.pm.policy.v1.0~a.p.composite.v1.0](pm/types.raml#224-236)|Type|Policy can be linked to other policies making a policy composite. Policy composite is always an acyclic directed graph with a single 'root'. Composite policy 'root' does not have parents. Non-root policy within a composite may have multiple 'parents' (which it's linked to) and multiple 'children' (which are linked to it). |
|[cti.a.p.pm.policy.v1.0~a.p.section.v1.0](pm/types.raml#197-223)|Type|-|
|[cti.a.p.pm.policy.v1.0~a.p.section.v1.0~a.p.backup.disk.v1.0](pm/derived/backup.raml#21-28)|Type|-|
|[cti.a.p.pm.policy.v1.0~a.p.section.v1.0~a.p.backup.machine.v1.0](pm/derived/backup.raml#29-36)|Type|-|
|[cti.a.p.pm.policy.v1.0~a.p.section.v1.0~a.p.backup.replication.v1.0](pm/derived/backup.raml#45-52)|Type|-|
|[cti.a.p.pm.policy.v1.0~a.p.section.v1.0~a.p.backup.retention.v1.0](pm/derived/backup.raml#53-59)|Type|-|
|[cti.a.p.pm.policy.v1.0~a.p.section.v1.0~a.p.backup.system_state.v1.0](pm/derived/backup.raml#37-44)|Type|-|
|[cti.a.p.pm.policy.v1.0~a.p.section.v1.0~a.p.cdp.v1.0](pm/derived/backup.raml#13-20)|Type|-|
|[cti.a.p.pm.policy.v1.0~a.p.section.v1.0~a.p.cyberfit.compliance.v1.0](pm/derived/cyberfit.raml#10-17)|Type|-|
|[cti.a.p.pm.policy.v1.0~a.p.section.v1.0~a.p.cyberfit.configuration.v1.0](pm/derived/cyberfit.raml#18-24)|Type|-|
|[cti.a.p.pm.policy.v1.0~a.p.section.v1.0~a.p.inventory.hardware.v1.0](pm/derived/inventory.raml#10-17)|Type|-|
|[cti.a.p.pm.policy.v1.0~a.p.section.v1.0~a.p.inventory.software.v1.0](pm/derived/inventory.raml#18-24)|Type|-|
|[cti.a.p.pm.policy.v1.0~a.p.section.v1.0~a.p.machine.firewall_management.v1.0](pm/derived/machine.raml#10-17)|Type|-|
|[cti.a.p.pm.policy.v1.0~a.p.section.v1.0~a.p.machine.network_isolation.v1.0](pm/derived/machine.raml#18-24)|Type|-|
|[cti.a.p.pm.policy.v1.0~a.p.section.v1.0~a.p.management.agent.v1.0](pm/derived/management.raml#10-17)|Type|-|
|[cti.a.p.pm.policy.v1.0~a.p.section.v1.0~a.p.management.scripting.v1.0](pm/derived/management.raml#18-24)|Type|-|
|[cti.a.p.pm.policy.v1.0~a.p.section.v1.0~a.p.recovery.file.v1.0](pm/derived/recovery.raml#17-23)|Type|-|
|[cti.a.p.pm.policy.v1.0~a.p.section.v1.0~a.p.recovery.image.v1.0](pm/derived/recovery.raml#9-16)|Type|-|
|[cti.a.p.pm.policy.v1.0~a.p.section.v1.0~a.p.security.active_protection.v1.0](pm/derived/security.raml#18-25)|Type|-|
|[cti.a.p.pm.policy.v1.0~a.p.section.v1.0~a.p.security.antimalware_protection.v1.0](pm/derived/security.raml#26-33)|Type|-|
|[cti.a.p.pm.policy.v1.0~a.p.section.v1.0~a.p.security.backups_scanning.v1.0](pm/derived/security.raml#34-41)|Type|-|
|[cti.a.p.pm.policy.v1.0~a.p.section.v1.0~a.p.security.data_protection_map.v1.0](pm/derived/security.raml#42-49)|Type|-|
|[cti.a.p.pm.policy.v1.0~a.p.section.v1.0~a.p.security.edr.v1.0](pm/derived/security.raml#50-57)|Type|-|
|[cti.a.p.pm.policy.v1.0~a.p.section.v1.0~a.p.security.microsoft_security_essentials.v1.0](pm/derived/security.raml#58-65)|Type|-|
|[cti.a.p.pm.policy.v1.0~a.p.section.v1.0~a.p.security.patch_management.v1.0](pm/derived/security.raml#66-73)|Type|-|
|[cti.a.p.pm.policy.v1.0~a.p.section.v1.0~a.p.security.url_filtering.v1.0](pm/derived/security.raml#74-81)|Type|-|
|[cti.a.p.pm.policy.v1.0~a.p.section.v1.0~a.p.security.vulnerability_assessment.v1.0](pm/derived/security.raml#82-89)|Type|-|
|[cti.a.p.pm.policy.v1.0~a.p.section.v1.0~a.p.security.windows_defender.v1.0](pm/derived/security.raml#90-96)|Type|-|

### Workload Management

|Name|Kind|Description|
|---|---|---|
|[cti.a.p.wm.action.v0.1](wm/types.raml#256-269)|Type|TBD|
|[cti.a.p.wm.action.v0.1~a.p.backup.computer.v1.0](wm/derived/actions.raml#8-9)|Instance|TBD|
|[cti.a.p.wm.action.v0.1~a.p.backup.virtual_machine.vmwesx.v1.0](wm/derived/actions.raml#12-14)|Instance|TBD|
|[cti.a.p.wm.action.v0.1~a.p.recovery.computer.v1.0](wm/derived/actions.raml#10-11)|Instance|TBD|
|[cti.a.p.wm.aggregates_detection_query.attribute_condition_key.v1.0](wm/types.raml#270-283)|Type|TBD|
|[cti.a.p.wm.aggregates_detection_query.attribute_condition_key.v1.0~a.p.host_name.v1.0](wm/derived/machine/aggregates.raml#12-13)|Instance|TBD|
|[cti.a.p.wm.aggregates_detection_query.attribute_condition_key.v1.0~a.p.mac_address.v1.0](wm/derived/machine/aggregates.raml#14-16)|Instance|TBD|
|[cti.a.p.wm.workload.actions.v0.1](wm/types.raml#284-311)|Type|TBD|
|[cti.a.p.wm.workload.actions.v0.1~a.p.wm.machine.actions.v1.0](wm/derived/actions.raml#16-21)|Instance|TBD|
|[cti.a.p.wm.workload.actions.v0.1~a.p.wm.virtual_machine.vmwesx.actions.v1.0](wm/derived/actions.raml#22-26)|Instance|TBD|
|[cti.a.p.wm.workload.v1.0](wm/types.raml#344-468)|Type|Any resource valuable for the customer, and for which Acronis Platform and its extensions can add value.<br/>Typically originates in an external (customer-owned) system or is in any other way owned by customer. Identifiable and having a granularity enough to be easy to track by the customer. Actions executed on the workload, that change status important to the customer, can be configured either per workload or via policies. In the latter case, multiple policies (i.e., multiple rules / settings sets) may be configured for the workload simultaneously.<br/>Workloads can be aspects, aggregates or groups (including customer-created static or dynamic groups), the boundaries between the kinds are often blurred. All the workload kinds share the same identifiers space.<br/>From policies perspective, workloads serve as contexts, where policy rules / settings are applied and executed. |
|[cti.a.p.wm.workload.v1.0~a.p.wm.aggregate.v1.0](wm/types.raml#499-516)|Type|Aggregate workload is a special group (aggregation) of aspect workloads that represent logically the same workload. Aspects can be merged into the aggregate, or the aggregate can be split back into an individual aspects. |
|[cti.a.p.wm.workload.v1.0~a.p.wm.aggregate.v1.0~a.p.machine.v1.0](wm/derived/machine/aggregates.raml#18-27)|Type|-|
|[cti.a.p.wm.workload.v1.0~a.p.wm.aspect.v1.0](wm/types.raml#473-498)|Type|Aspect workload is any workload managed by some agent or vendor connector. Aspect may have children workload (thus being a group, effectively) - e.g. for cluster-like workload case, virtual machine infrastructure workload case etc. |
|[cti.a.p.wm.workload.v1.0~a.p.wm.aspect.v1.0~a.p.machine.v1.0](wm/derived/machine/aspects.raml#12-33)|Type|-|
|[cti.a.p.wm.workload.v1.0~a.p.wm.aspect.v1.0~a.p.msexchange_mailbox.msexchange.v1.0](wm/derived/msexchange_mailbox.msexchange/aspects.raml#12-25)|Type|-|
|[cti.a.p.wm.workload.v1.0~a.p.wm.aspect.v1.0~a.p.msexchange_mailbox.office365.v1.0](wm/derived/msexchange_mailbox.office365/aspects.raml#12-23)|Type|-|
|[cti.a.p.wm.workload.v1.0~a.p.wm.aspect.v1.0~a.p.mssql_database.v1.0](wm/derived/mssql_database/aspects.raml#12-23)|Type|-|
|[cti.a.p.wm.workload.v1.0~a.p.wm.aspect.v1.0~a.p.virtual_machine.mshyperv.v1.0](wm/derived/virtual_machine.mshyperv/aspects.raml#12-23)|Type|-|
|[cti.a.p.wm.workload.v1.0~a.p.wm.aspect.v1.0~a.p.virtual_machine.vmwesx.v1.0](wm/derived/virtual_machine.vmwesx/aspects.raml#12-23)|Type|-|
|[cti.a.p.wm.workload.v1.0~a.p.wm.group.v1.0](wm/types.raml#517-537)|Type|Though aspects may have children, workload group is dedicated to grouping only, with 2 specific sub-cases: - group explicitly created by a customer, with explicit (static group) or automatic   (dynamic group) membership - top-level group |
|[cti.a.p.wm.workload.v1.0~a.p.wm.group.v1.0~a.p.computers.v1.0](wm/derived/top_level_groups.raml#8-14)|Type|-|
|[cti.a.p.wm.workload.v1.0~a.p.wm.group.v1.0~a.p.msexchange_mailboxes.v1.0](wm/derived/top_level_groups.raml#15-21)|Type|-|
|[cti.a.p.wm.workload.v1.0~a.p.wm.group.v1.0~a.p.vms_folder.v1.0](wm/derived/top_level_groups.raml#22-27)|Type|-|

### Widgets and Reports

|Name|Kind|Description|
|---|---|---|
|[cti.a.p.wr.dashboard_config.v1.0](wr/types.raml#676-705)|Type|Dashboard configuration|
|[cti.a.p.wr.dashboard_config.v1.0~a.p.mc.default_dashboard.v1.0](wr/widget_configs.raml#641-647)|Instance|Management Console default dashboard|
|[cti.a.p.wr.dashboard_config.v1.0~a.p.pc.default_dashboard.v1.0](wr/widget_configs.raml#633-640)|Instance|Protection Console default dashboard|
|[cti.a.p.wr.report_config.v1.0](wr/types.raml#706-741)|Type|Report configuration|
|[cti.a.p.wr.report_config.v1.0~a.p.mc.alerts_report.v1.0](wr/widget_configs.raml#552-561)|Instance|Shows alerts that occurred during a specified time period.|
|[cti.a.p.wr.report_config.v1.0~a.p.mc.detected_threats_report.v1.0](wr/widget_configs.raml#562-571)|Instance|Detected threats report displays the details of the affected machines by number of blocked threats and the details of the healthy and vulnerable machines.|
|[cti.a.p.wr.report_config.v1.0~a.p.mc.existing_vulnerabilities_report.v1.0](wr/widget_configs.raml#572-581)|Instance|Existing vulnerabilities lists the existing vulnerabilities for OS and applications in your organization. The report also displays the details of the affected machines in your network for every product that is listed.|
|[cti.a.p.wr.report_config.v1.0~a.p.mc.hardware_inventory_report.v1.0](wr/widget_configs.raml#582-591)|Instance|Hardware inventory report shows information about the hardware installed on the machines in your organization.|
|[cti.a.p.wr.report_config.v1.0~a.p.mc.patch_management_report.v1.0](wr/widget_configs.raml#592-601)|Instance|Patch management summary report lists down the number of missing patches, installed patches, applicable patches. You can drill down the reports to get the missing/installed patch information and details of all the systems.|
|[cti.a.p.wr.report_config.v1.0~a.p.mc.session_history_report.v1.0](wr/widget_configs.raml#602-611)|Instance|Shows the detailed information about the performed remote desktop and file transfer sessions during a specified time period.|
|[cti.a.p.wr.report_config.v1.0~a.p.mc.software_inventory_report.v1.0](wr/widget_configs.raml#612-621)|Instance|Software inventory report shows information about the software installed on the machines in your organization.|
|[cti.a.p.wr.report_config.v1.0~a.p.mc.summary_report.v1.0](wr/widget_configs.raml#622-631)|Instance|Shows the summary information about the protected devices for a specified time period.|
|[cti.a.p.wr.report_config.v1.0~a.p.pc.alerts_report.v1.0](wr/widget_configs.raml#460-469)|Instance|Shows alerts that occurred during a specified time period.|
|[cti.a.p.wr.report_config.v1.0~a.p.pc.data_loss_prevention_report.v1.0](wr/widget_configs.raml#540-551)|Instance|Data loss prevention report.|
|[cti.a.p.wr.report_config.v1.0~a.p.pc.detected_threats_report.v1.0](wr/widget_configs.raml#470-479)|Instance|Detected threats report displays the details of the affected machines by number of blocked threats and the details of the healthy and vulnerable machines.|
|[cti.a.p.wr.report_config.v1.0~a.p.pc.existing_vulnerabilities_report.v1.0](wr/widget_configs.raml#480-489)|Instance|Existing vulnerabilities lists the existing vulnerabilities for OS and applications in your organization. The report also displays the details of the affected machines in your network for every product that is listed.|
|[cti.a.p.wr.report_config.v1.0~a.p.pc.hardware_inventory_report.v1.0](wr/widget_configs.raml#490-499)|Instance|Hardware inventory report shows information about the hardware installed on the machines in your organization.|
|[cti.a.p.wr.report_config.v1.0~a.p.pc.patch_management_report.v1.0](wr/widget_configs.raml#500-509)|Instance|Patch management summary report lists down the number of missing patches, installed patches, applicable patches. You can drill down the reports to get the missing/installed patch information and details of all the systems.|
|[cti.a.p.wr.report_config.v1.0~a.p.pc.session_history_report.v1.0](wr/widget_configs.raml#510-519)|Instance|Shows the detailed information about the performed remote desktop and file transfer sessions during a specified time period.|
|[cti.a.p.wr.report_config.v1.0~a.p.pc.software_inventory_report.v1.0](wr/widget_configs.raml#520-529)|Instance|Software inventory report shows information about the software installed on the machines in your organization.|
|[cti.a.p.wr.report_config.v1.0~a.p.pc.summary_report.v1.0](wr/widget_configs.raml#530-539)|Instance|Shows the summary information about the protected devices for a specified time period.|
|[cti.a.p.wr.widget_category.v1.0](wr/types.raml#88-105)|Type|Widget category|
|[cti.a.p.wr.widget_category.v1.0~a.p.activities.v1.0](wr/widget_configs.raml#16-18)|Instance|Activities|
|[cti.a.p.wr.widget_category.v1.0~a.p.alerts.v1.0](wr/widget_configs.raml#10-12)|Instance|Alerts|
|[cti.a.p.wr.widget_category.v1.0~a.p.cyberfit_score.v1.0](wr/widget_configs.raml#22-24)|Instance|#CyberFit Score|
|[cti.a.p.wr.widget_category.v1.0~a.p.data_loss_prevention.v1.0](wr/widget_configs.raml#25-27)|Instance|Data loss prevention|
|[cti.a.p.wr.widget_category.v1.0~a.p.data_protection_map.v1.0](wr/widget_configs.raml#28-30)|Instance|Data protection map|
|[cti.a.p.wr.widget_category.v1.0~a.p.devices.v1.0](wr/widget_configs.raml#13-15)|Instance|Devices|
|[cti.a.p.wr.widget_category.v1.0~a.p.disk_health.v1.0](wr/widget_configs.raml#31-33)|Instance|Disk health|
|[cti.a.p.wr.widget_category.v1.0~a.p.hardware.v1.0](wr/widget_configs.raml#34-36)|Instance|Hardware|
|[cti.a.p.wr.widget_category.v1.0~a.p.locations.v1.0](wr/widget_configs.raml#37-39)|Instance|Locations|
|[cti.a.p.wr.widget_category.v1.0~a.p.patch_management.v1.0](wr/widget_configs.raml#40-42)|Instance|Patch Management|
|[cti.a.p.wr.widget_category.v1.0~a.p.remote_access.v1.0](wr/widget_configs.raml#43-45)|Instance|Remote access|
|[cti.a.p.wr.widget_category.v1.0~a.p.software.v1.0](wr/widget_configs.raml#46-48)|Instance|Software|
|[cti.a.p.wr.widget_category.v1.0~a.p.threat_defence.v1.0](wr/widget_configs.raml#19-21)|Instance|Threat defence|
|[cti.a.p.wr.widget_category.v1.0~a.p.url_filtering.v1.0](wr/widget_configs.raml#49-51)|Instance|URL Filtering|
|[cti.a.p.wr.widget_category.v1.0~a.p.vulnerability_assessment.v1.0](wr/widget_configs.raml#52-55)|Instance|Vulnerability assessment|
|[cti.a.p.wr.widget_config.v1.0](wr/types.raml#447-659)|Type|Represents base widget configuration model. All the widget configurations will be instance from this.|
|[cti.a.p.wr.widget_config.v1.0~a.p.active_alerts_summary.v1.0](wr/widget_configs.raml#141-205)|Instance|Active alerts summary|
|[cti.a.p.wr.widget_config.v1.0~a.p.active_alerts_table.v1.0](wr/widget_configs.raml#289-369)|Instance|Active Alerts|
|[cti.a.p.wr.widget_config.v1.0~a.p.alerts_summary.v1.0](wr/widget_configs.raml#58-140)|Instance|Historical alerts summary|
|[cti.a.p.wr.widget_config.v1.0~a.p.all_units_active_alerts.v1.0](wr/widget_configs.raml#413-457)|Instance|All Units Active Alerts|
|[cti.a.p.wr.widget_config.v1.0~a.p.all_units_alerts_summary.v1.0](wr/widget_configs.raml#370-412)|Instance|All Units Active Alerts Summary|
|[cti.a.p.wr.widget_config.v1.0~a.p.summary_alert_table.v1.0](wr/widget_configs.raml#206-288)|Instance|Alerts History|

### Dynamic Type System

|Name|Kind|Description|
|---|---|---|
|[cti.a.p.dts.func.v1.0](dts/types.raml#257-282)|Type|DTS function can be used to define a function interface and/or it's body. The interface is defined this way: - `params` specifies function input parameters if any - `returns` define return value - `cti-traits` define function implementation, which can be both declarative and imperative (typescript) |
|[cti.a.p.dts.func.v1.0~a.p.access_policies._roles_ids_.any_of.v1.0](dts/func/access_policies/_roles_ids_/any_of.raml#11-35)|Type|Checks if any of the role ids given is in the requesting user's access policies.|
|[cti.a.p.dts.func.v1.0~a.p.access_policies.company_admin.is.v1.0](dts/func/access_policies/company_admin/is.raml#11-28)|Type|Checks if any company admin role is in the requesting user's access policies.|
|[cti.a.p.dts.func.v1.0~a.p.access_policies.roles_ids.v1.0](dts/func/access_policies/roles_ids.raml#11-34)|Type|Returns the list of role ids based on the requested user's access policies.|
|[cti.a.p.dts.func.v1.0~a.p.gql.create_container.v0.1](gql/deprecated/func/graphql_v1.raml#3675-3687)|Type|DTS function wrapper for GraphQL v1 method CreateContainer|
|[cti.a.p.dts.func.v1.0~a.p.gql.delete_container.v0.1](gql/deprecated/func/graphql_v1.raml#3717-3729)|Type|DTS function wrapper for GraphQL v1 method DeleteContainer|
|[cti.a.p.dts.func.v1.0~a.p.gql.fetch_cred_from_cred_store.v0.1](gql/deprecated/func/graphql_v1.raml#3811-3823)|Type|DTS function wrapper for GraphQL v1 method FetchCredFromCredStore|
|[cti.a.p.dts.func.v1.0~a.p.gql.fetch_items_from_local_cache.v0.1](gql/deprecated/func/graphql_v1.raml#3795-3810)|Type|DTS function wrapper for GraphQL v1 method FetchItemsFromLocalCache|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_account_keys.v0.1](gql/deprecated/func/graphql_v1.raml#3743-3755)|Type|DTS function wrapper for GraphQL v1 method GetAccountKeys|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_activity.v0.1](gql/deprecated/func/graphql_v1.raml#4154-4166)|Type|DTS function wrapper for GraphQL v1 method GetActivity|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_advanced_automation_status.v0.1](gql/deprecated/func/graphql_v1.raml#3542-3554)|Type|DTS function wrapper for GraphQL v1 method GetAdvancedAutomationStatus|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_agent.v0.1](gql/deprecated/func/graphql_v1.raml#3555-3567)|Type|DTS function wrapper for GraphQL v1 method GetAgent|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_alert_presentation.v0.1](gql/deprecated/func/graphql_v1.raml#3594-3606)|Type|DTS function wrapper for GraphQL v1 method GetAlertPresentation|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_alert_types.v0.1](gql/deprecated/func/graphql_v1.raml#3633-3645)|Type|DTS function wrapper for GraphQL v1 method GetAlertTypes|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_alerts.v0.1](gql/deprecated/func/graphql_v1.raml#3568-3580)|Type|DTS function wrapper for GraphQL v1 method GetAlerts|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_alerts_presentation.v0.1](gql/deprecated/func/graphql_v1.raml#3581-3593)|Type|DTS function wrapper for GraphQL v1 method GetAlertsPresentation|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_all_alerts_policy.v0.1](gql/deprecated/func/graphql_v1.raml#4245-4257)|Type|DTS function wrapper for GraphQL v1 method GetAllAlertsPolicy|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_all_policy_alert_types.v0.1](gql/deprecated/func/graphql_v1.raml#4284-4296)|Type|DTS function wrapper for GraphQL v1 method GetAllPolicyAlertTypes|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_all_recipients_tree.v0.1](gql/deprecated/func/graphql_v1.raml#4271-4283)|Type|DTS function wrapper for GraphQL v1 method GetAllRecipientsTree|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_application.v0.1](gql/deprecated/func/graphql_v1.raml#3947-3959)|Type|DTS function wrapper for GraphQL v1 method GetApplication|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_application_setting.v0.1](gql/deprecated/func/graphql_v1.raml#3451-3463)|Type|DTS function wrapper for GraphQL v1 method GetApplicationSetting|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_application_settings.v0.1](gql/deprecated/func/graphql_v1.raml#3464-3476)|Type|DTS function wrapper for GraphQL v1 method GetApplicationSettings|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_applications.v0.1](gql/deprecated/func/graphql_v1.raml#3503-3515)|Type|DTS function wrapper for GraphQL v1 method GetApplications|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_archives.v0.1](gql/deprecated/func/graphql_v1.raml#4336-4348)|Type|DTS function wrapper for GraphQL v1 method GetArchives|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_archives_local.v0.1](gql/deprecated/func/graphql_v1.raml#4349-4361)|Type|DTS function wrapper for GraphQL v1 method GetArchivesLocal|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_azure_subscription.v0.1](gql/deprecated/func/graphql_v1.raml#3769-3781)|Type|DTS function wrapper for GraphQL v1 method GetAzureSubscription|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_azure_token.v0.1](gql/deprecated/func/graphql_v1.raml#3782-3794)|Type|DTS function wrapper for GraphQL v1 method GetAzureToken|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_backup.v0.1](gql/deprecated/func/graphql_v1.raml#4414-4426)|Type|DTS function wrapper for GraphQL v1 method GetBackup|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_backups.v0.1](gql/deprecated/func/graphql_v1.raml#4362-4374)|Type|DTS function wrapper for GraphQL v1 method GetBackups|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_container_name.v0.1](gql/deprecated/func/graphql_v1.raml#3756-3768)|Type|DTS function wrapper for GraphQL v1 method GetContainerName|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_cti_new_menu.v0.1](gql/deprecated/func/graphql_v1.raml#4323-4335)|Type|DTS function wrapper for GraphQL v1 method GetCtiNewMenu|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_demo_example.v0.1](gql/deprecated/func/graphql_v1.raml#3824-3836)|Type|DTS function wrapper for GraphQL v1 method GetDemoExample|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_e_p_m_resource.v0.1](gql/deprecated/func/graphql_v1.raml#3876-3891)|Type|DTS function wrapper for GraphQL v1 method GetEPMResource|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_events.v0.1](gql/deprecated/func/graphql_v1.raml#3921-3933)|Type|DTS function wrapper for GraphQL v1 method GetEvents|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_in_product_notifications.v0.1](gql/deprecated/func/graphql_v1.raml#4297-4309)|Type|DTS function wrapper for GraphQL v1 method GetInProductNotifications|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_items.v0.1](gql/deprecated/func/graphql_v1.raml#3837-3849)|Type|DTS function wrapper for GraphQL v1 method GetItems|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_monitor_alerts_instance.v0.1](gql/deprecated/func/graphql_v1.raml#4206-4218)|Type|DTS function wrapper for GraphQL v1 method GetMonitorAlertsInstance|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_monitors_instance.v0.1](gql/deprecated/func/graphql_v1.raml#4193-4205)|Type|DTS function wrapper for GraphQL v1 method GetMonitorsInstance|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_namespaces.v0.1](gql/deprecated/func/graphql_v1.raml#4064-4079)|Type|DTS function wrapper for GraphQL v1 method GetNamespaces|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_nav_menu.v0.1](gql/deprecated/func/graphql_v1.raml#4180-4192)|Type|DTS function wrapper for GraphQL v1 method GetNavMenu|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_new_menu.v0.1](gql/deprecated/func/graphql_v1.raml#4310-4322)|Type|DTS function wrapper for GraphQL v1 method GetNewMenu|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_notification_policies.v0.1](gql/deprecated/func/graphql_v1.raml#3986-3998)|Type|DTS function wrapper for GraphQL v1 method GetNotificationPolicies|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_notification_policy.v0.1](gql/deprecated/func/graphql_v1.raml#3999-4011)|Type|DTS function wrapper for GraphQL v1 method GetNotificationPolicy|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_notification_policy_subscriber.v0.1](gql/deprecated/func/graphql_v1.raml#4012-4024)|Type|DTS function wrapper for GraphQL v1 method GetNotificationPolicySubscriber|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_plan.v0.1](gql/deprecated/func/graphql_v1.raml#3646-3658)|Type|DTS function wrapper for GraphQL v1 method GetPlan|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_policy.v0.1](gql/deprecated/func/graphql_v1.raml#3934-3946)|Type|DTS function wrapper for GraphQL v1 method GetPolicy|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_policy_with_i_d.v0.1](gql/deprecated/func/graphql_v1.raml#3960-3972)|Type|DTS function wrapper for GraphQL v1 method GetPolicyWithID|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_pool.v0.1](gql/deprecated/func/graphql_v1.raml#4112-4124)|Type|DTS function wrapper for GraphQL v1 method GetPool|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_pools.v0.1](gql/deprecated/func/graphql_v1.raml#4125-4140)|Type|DTS function wrapper for GraphQL v1 method GetPools|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_presentation.v0.1](gql/deprecated/func/graphql_v1.raml#4038-4050)|Type|DTS function wrapper for GraphQL v1 method GetPresentation|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_processes.v0.1](gql/deprecated/func/graphql_v1.raml#3850-3862)|Type|DTS function wrapper for GraphQL v1 method GetProcesses|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_qualitative_data.v0.1](gql/deprecated/func/graphql_v1.raml#3905-3920)|Type|DTS function wrapper for GraphQL v1 method GetQualitativeData|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_resource.v0.1](gql/deprecated/func/graphql_v1.raml#3973-3985)|Type|DTS function wrapper for GraphQL v1 method GetResource|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_rollback_statistics.v0.1](gql/deprecated/func/graphql_v1.raml#3863-3875)|Type|DTS function wrapper for GraphQL v1 method GetRollbackStatistics|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_s3_asset.v0.1](gql/deprecated/func/graphql_v1.raml#4025-4037)|Type|DTS function wrapper for GraphQL v1 method GetS3Asset|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_script_by_repository_and_guid.v0.1](gql/deprecated/func/graphql_v1.raml#4051-4063)|Type|DTS function wrapper for GraphQL v1 method GetScriptByRepositoryAndGuid|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_setting_values.v0.1](gql/deprecated/func/graphql_v1.raml#4096-4111)|Type|DTS function wrapper for GraphQL v1 method GetSettingValues|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_settings.v0.1](gql/deprecated/func/graphql_v1.raml#4080-4095)|Type|DTS function wrapper for GraphQL v1 method GetSettings|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_status.v0.1](gql/deprecated/func/graphql_v1.raml#3607-3619)|Type|DTS function wrapper for GraphQL v1 method GetStatus|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_status_presentation.v0.1](gql/deprecated/func/graphql_v1.raml#3620-3632)|Type|DTS function wrapper for GraphQL v1 method GetStatusPresentation|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_storage_accounts.v0.1](gql/deprecated/func/graphql_v1.raml#3659-3674)|Type|DTS function wrapper for GraphQL v1 method GetStorageAccounts|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_subscribed_alerts_policies.v0.1](gql/deprecated/func/graphql_v1.raml#4219-4231)|Type|DTS function wrapper for GraphQL v1 method GetSubscribedAlertsPolicies|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_subscribed_recipients_flat.v0.1](gql/deprecated/func/graphql_v1.raml#4258-4270)|Type|DTS function wrapper for GraphQL v1 method GetSubscribedRecipientsFlat|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_subscribed_recipients_tree.v0.1](gql/deprecated/func/graphql_v1.raml#4232-4244)|Type|DTS function wrapper for GraphQL v1 method GetSubscribedRecipientsTree|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_task.v0.1](gql/deprecated/func/graphql_v1.raml#4141-4153)|Type|DTS function wrapper for GraphQL v1 method GetTask|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_tenant.v0.1](gql/deprecated/func/graphql_v1.raml#3385-3397)|Type|DTS function wrapper for GraphQL v1 method GetTenant|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_tenant_ancestry.v0.1](gql/deprecated/func/graphql_v1.raml#3398-3411)|Type|DTS function wrapper for GraphQL v1 method GetTenantAncestry|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_tenant_applications.v0.1](gql/deprecated/func/graphql_v1.raml#3477-3489)|Type|DTS function wrapper for GraphQL v1 method GetTenantApplications|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_tenant_brand.v0.1](gql/deprecated/func/graphql_v1.raml#3438-3450)|Type|DTS function wrapper for GraphQL v1 method GetTenantBrand|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_tenant_group.v0.1](gql/deprecated/func/graphql_v1.raml#3333-3345)|Type|DTS function wrapper for GraphQL v1 method GetTenantGroup|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_tenant_offering_items.v0.1](gql/deprecated/func/graphql_v1.raml#3425-3437)|Type|DTS function wrapper for GraphQL v1 method GetTenantOfferingItems|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_tenant_tree.v0.1](gql/deprecated/func/graphql_v1.raml#4167-4179)|Type|DTS function wrapper for GraphQL v1 method GetTenantTree|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_tenant_users.v0.1](gql/deprecated/func/graphql_v1.raml#3516-3528)|Type|DTS function wrapper for GraphQL v1 method GetTenantUsers|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_tenants.v0.1](gql/deprecated/func/graphql_v1.raml#3412-3424)|Type|DTS function wrapper for GraphQL v1 method GetTenants|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_time_series.v0.1](gql/deprecated/func/graphql_v1.raml#3892-3904)|Type|DTS function wrapper for GraphQL v1 method GetTimeSeries|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_user.v0.1](gql/deprecated/func/graphql_v1.raml#3359-3371)|Type|DTS function wrapper for GraphQL v1 method GetUser|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_user_access_policies.v0.1](gql/deprecated/func/graphql_v1.raml#3372-3384)|Type|DTS function wrapper for GraphQL v1 method GetUserAccessPolicies|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_users.v0.1](gql/deprecated/func/graphql_v1.raml#3346-3358)|Type|DTS function wrapper for GraphQL v1 method GetUsers|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_vault.v0.1](gql/deprecated/func/graphql_v1.raml#4401-4413)|Type|DTS function wrapper for GraphQL v1 method GetVault|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_vaults.v0.1](gql/deprecated/func/graphql_v1.raml#4375-4387)|Type|DTS function wrapper for GraphQL v1 method GetVaults|
|[cti.a.p.dts.func.v1.0~a.p.gql.get_vaults_local.v0.1](gql/deprecated/func/graphql_v1.raml#4388-4400)|Type|DTS function wrapper for GraphQL v1 method GetVaultsLocal|
|[cti.a.p.dts.func.v1.0~a.p.gql.issue_account_s_a_s_token.v0.1](gql/deprecated/func/graphql_v1.raml#3730-3742)|Type|DTS function wrapper for GraphQL v1 method IssueAccountSASToken|
|[cti.a.p.dts.func.v1.0~a.p.gql.issue_s_a_s_token.v0.1](gql/deprecated/func/graphql_v1.raml#3688-3700)|Type|DTS function wrapper for GraphQL v1 method IssueSASToken|
|[cti.a.p.dts.func.v1.0~a.p.gql.list_containers.v0.1](gql/deprecated/func/graphql_v1.raml#3701-3716)|Type|DTS function wrapper for GraphQL v1 method ListContainers|
|[cti.a.p.dts.func.v1.0~a.p.gql.resolve_tenants_i_ds.v0.1](gql/deprecated/func/graphql_v1.raml#3490-3502)|Type|DTS function wrapper for GraphQL v1 method ResolveTenantsIDs|
|[cti.a.p.dts.func.v1.0~a.p.gql.search_license_and_account.v0.1](gql/deprecated/func/graphql_v1.raml#3529-3541)|Type|DTS function wrapper for GraphQL v1 method SearchLicenseAndAccount|
|[cti.a.p.dts.func.v1.0~a.p.group.capabilities._names_.has.v1.0](dts/func/group/capabilities/_names_/has.raml#11-49)|Type|Checks if the group of requested tenant has all the specified capabilities by applying bitmask comparison|
|[cti.a.p.dts.func.v1.0~a.p.group.capabilities.branding.has.v1.0](dts/func/group/capabilities/branding/has.raml#11-28)|Type|Checks if the group of requested tenant has all the specified capabilities by applying bitmask comparison|
|[cti.a.p.dts.func.v1.0~a.p.legacy_app._type_.setting._name_.effective.value.truthy.v1.0](dts/func/legacy_app/_type_/setting/_name_/effective/value/truthy.raml#12-43)|Type|Checks whether legacy application setting effective value for a given tenant is truthy|
|[cti.a.p.dts.func.v1.0~a.p.legacy_app._type_.setting._name_.effective.value.v1.0](dts/func/legacy_app/_type_/setting/_name_/effective/value.raml#12-47)|Type|Legacy application setting effective value for a given tenant|
|[cti.a.p.dts.func.v1.0~a.p.legacy_app._type_.setting._name_.own.value.v1.0](dts/func/legacy_app/_type_/setting/_name_/own/value.raml#12-47)|Type|Legacy application setting own value for a given tenant|
|[cti.a.p.dts.func.v1.0~a.p.legacy_app.platform.setting._name_.effective.value.truthy.v1.0](dts/func/legacy_app/platform/setting/_name_/effective/value/truthy.raml#12-37)|Type|Checks whether platform legacy application setting effective value for a given tenant is truthy|
|[cti.a.p.dts.func.v1.0~a.p.legacy_app.platform.setting._name_.own.value.v1.0](dts/func/legacy_app/platform/setting/_name_/own/value.raml#12-36)|Type|Returns the platform legacy application setting own value for a given tenant|
|[cti.a.p.dts.func.v1.0~a.p.legacy_setting._domain_._namespace_._id_.v1.0](dts/func/legacy_setting/_domain_/_namespace_/_id_.raml#12-56)|Type|Returns the corresponding setting value object of the requested tenant|
|[cti.a.p.dts.func.v1.0~a.p.legacy_setting.storage._namespace_._id_.v1.0](dts/func/legacy_setting/storage/_namespace_/_id_.raml#12-38)|Type|Returns the corresponding STORAGE Domain setting value object of the requested tenant|
|[cti.a.p.dts.func.v1.0~a.p.legacy_setting.tenant._namespace_._id_.v1.0](dts/func/legacy_setting/tenant/_namespace_/_id_.raml#12-46)|Type|Returns the corresponding TENANT Domain setting value object of the requested tenant|
|[cti.a.p.dts.func.v1.0~a.p.legacy_setting.tenant.com_acronis_abgw_geo_redundancy._id_.v1.0](dts/func/legacy_setting/tenant/com_acronis_abgw_geo_redundancy/_id_.raml#12-37)|Type|Returns the corresponding setting value object of the requested tenant in com_acronis_abgw_geo_redundancy namespace of TENANT Domain|
|[cti.a.p.dts.func.v1.0~a.p.legacy_setting.tenant.com_acronis_customers._id_.v1.0](dts/func/legacy_setting/tenant/com_acronis_customer/_id_.raml#12-39)|Type|Returns the corresponding TENANT Domain setting value object of the requested tenant|
|[cti.a.p.dts.func.v1.0~a.p.legacy_setting.tenant.com_acronis_customers.customer_info.v1.0](dts/func/legacy_setting/tenant/com_acronis_customer/customer_info.raml#12-34)|Type|Returns the customer_info setting value of the requested tenant|
|[cti.a.p.dts.func.v1.0~a.p.offering_items._names_.enabled.any_of.v1.0](dts/func/offering_items/_names_/enabled/any_of.raml#11-37)|Type|Checks if requested tenant has any of the speicified offering items enabled|
|[cti.a.p.dts.func.v1.0~a.p.offering_items._names_.enabled_legacy_app._type_.has.v1.0](dts/func/offering_items/_names_/enabled_legacy_app/_type_/has.raml#12-41)|Type|Checks if any offering items under a given legacy app is enabled|
|[cti.a.p.dts.func.v1.0~a.p.offering_items._names_.enabled_legacy_app.backup.has.v1.0](dts/func/offering_items/_names_/enabled_legacy_app/backup/has.raml#11-31)|Type|Checks if requested tenant has Cyber Protection (backup) legacy app|
|[cti.a.p.dts.func.v1.0~a.p.offering_items._names_.legacy_app._type_.has.v1.0](dts/func/offering_items/_names_/legacy_app/_type_/has.raml#12-42)|Type|Checks if a tenant has a certain legacy app|
|[cti.a.p.dts.func.v1.0~a.p.offering_items._names_.legacy_app.backup.has.v1.0](dts/func/offering_items/_names_/legacy_app/backup/has.raml#11-34)|Type|Checks if requested tenant has Cyber Protection (backup) legacy app|
|[cti.a.p.dts.func.v1.0~a.p.tenant.is_self.v1.0](dts/func/tenant/is_self.raml#11-28)|Type|Checks if the currently logged-in user belongs to the tenant specified by the given tenant id|
|[cti.a.p.dts.func.v1.0~a.p.tenant.kind._names_.any_of.v1.0](dts/func/tenant/kind/_names_/any_of.raml#11-38)|Type|Checks if the tenant's kind is any of the specified kinds.|
|[cti.a.p.dts.func.v1.0~a.p.tenant.kind._names_.is.v1.0](dts/func/tenant/kind/_names_/is.raml#11-38)|Type|Checks if the tenant's kind equals to the specified kind.|
|[cti.a.p.dts.func.v1.0~a.p.tenant.kind.customer_partner.any_of.v1.0](dts/func/tenant/kind/customer_partner/any_of.raml#11-28)|Type|Checks if the tenant's kind is of customer or partner|
|[cti.a.p.dts.func.v1.0~a.p.tenant.kind.customer_unit.any_of.v1.0](dts/func/tenant/kind/customer_unit/any_of.raml#11-30)|Type|Checks if the tenant's kind is of customer or unit|
|[cti.a.p.dts.func.v1.0~a.p.tenant.kind.partner.is.v1.0](dts/func/tenant/kind/partner/is.raml#11-28)|Type|Checks if the tenant's kind is partner|
|[cti.a.p.dts.func.v1.0~a.p.tenant.kind.root_subroot.any_of.v1.0](dts/func/tenant/kind/root_subroot/any_of.raml#11-30)|Type|Checks if tenant kind is `root`, which implies they are either the root tenant or a subroot tenant|
|[cti.a.p.dts.func.v1.0~a.p.tenant.kind.the_root.is.v1.0](dts/func/tenant/kind/the_root/is.raml#11-31)|Type|Checks if the tenant_id provided belongs to the root tenant|
|[cti.a.p.dts.func.v1.0~a.p.tenant.kind.unit.is.v1.0](dts/func/tenant/kind/unit/is.raml#11-28)|Type|Checks if the tenant's kind is unit|
|[cti.a.p.dts.processing_step.v1.0](dts/types.raml#147-190)|Type|These are specialized DTS functions that can be appended to regular DTS functions, serving as an extra processing step to be performed on the resulting objects. The concept of the DTS processing pipeline is akin to the rendering pipeline in 3D graphics, where certain pipeline components construct the objects (referred to as functions in our case), while others can modify them (represented by processing steps in DTS and 'shaders' in the 3D graphics pipeline).<br/>The Processing Step function always uses original function `.returns` as input parameter and as the return value type.<br/>Processing Steps are intended to: - (a) filter out the whole object(s) generated by the - (b) update the constructed object fields, e.g. localize the value or change the text<br/>Processing Steps can be attached to multiple functions in order to make massive filtering, e.g. to hide all the UI items generated by given Cyber Application because of licensing or legal/access limitations for given user |
|[cti.a.p.dts.tag.v1.0](dts/types.raml#17-32)|Type|Specific DTS object specifying a reusable tag which can be used to find/group DTS functions or any other objects in value resolvers like $group_ref(tag=...) |

### Presentation

|Name|Kind|Description|
|---|---|---|
|[cti.a.p.presentation.dict.v1.0](l10n/types.raml#52-78)|Type|Dictionary of localized data|

### License manager

|Name|Kind|Description|
|---|---|---|
|[cti.a.p.lic.feature.v1.0](lic/feature.raml#15-57)|Type|Single technical capabilities provided by the Platform or Cyber Application. |

### Workflows

|Name|Kind|Description|
|---|---|---|
|[cti.a.p.dts.func.v1.0~a.p.wf.flow.v1.0](wf/types.raml#13-35)|Type|Serverless workflow entity |
